ServerEvents.recipes(event => { 

event.smithing(
        'undergarden:utherium_helmet',
        'undergarden:utheric_shard',
        'outer_end:rose_crystal_helmet',
        'undergarden:utherium_crystal'
    )

    event.smithing(
        'undergarden:utherium_chestplate',
        'undergarden:utheric_shard',
        'outer_end:rose_crystal_chestplate',
        'undergarden:utherium_crystal'
    )

    event.smithing(
        'undergarden:utherium_leggings',
        'undergarden:utheric_shard',
        'outer_end:rose_crystal_leggings',
        'undergarden:utherium_crystal'
    )

    event.smithing(
        'undergarden:utherium_boots',
        'undergarden:utheric_shard',
        'outer_end:rose_crystal_boots',
        'undergarden:utherium_crystal'
    )

event.remove({id:'undergarden:utherium_helmet'})
event.remove({id:'undergarden:utherium_chestplate'})
event.remove({id:'undergarden:utherium_leggings'})
event.remove({id:'undergarden:utherium_boots'})


//COSMILITE
event.smithing(
        'terramity:cosmilite_armor_helmet',
        'terramity:cosmilite_upgrade_smithing_template',
        'undergarden:utherium_helmet',
        'terramity:cosmilite_ingot'
    )

    event.smithing(
        'terramity:cosmilite_armor_chestplate',
        'terramity:cosmilite_upgrade_smithing_template',
        'undergarden:utherium_chestplate',
        'terramity:cosmilite_ingot'
    )

    event.smithing(
        'terramity:cosmilite_armor_leggings',
        'terramity:cosmilite_upgrade_smithing_template',
        'undergarden:utherium_leggings',
        'terramity:cosmilite_ingot'
    )

    event.smithing(
        'terramity:cosmilite_armor_boots',
        'terramity:cosmilite_upgrade_smithing_template',
        'undergarden:utherium_boots',
        'terramity:cosmilite_ingot'
    )

    event.remove({id:'terramity:cosmilite_sorcerer_hat_recipe'})
    event.remove({id:'terramity:cosmilite_chestplate_recipe'})
    event.remove({id:'terramity:cosmilite_leggings_recipe'})
    event.remove({id:'terramity:cosmilite_boots_recipe'})

//EXODIUM
event.smithing(
        'terramity:exodium_warlock_helmet',
        'minecraft:netherite_upgrade_smithing_template',
        'terramity:cosmilite_armor_helmet',
        'terramity:exodium_superalloy'
    )

    event.smithing(
        'terramity:exodium_warlock_chestplate',
        'minecraft:netherite_upgrade_smithing_template',
        'terramity:cosmilite_armor_chestplate',
        'terramity:exodium_superalloy'
    )

    event.smithing(
        'terramity:exodium_warlock_leggings',
        'minecraft:netherite_upgrade_smithing_template',
        'terramity:cosmilite_armor_leggings',
        'terramity:exodium_superalloy'
    )

    event.smithing(
        'terramity:exodium_warlock_boots',
        'minecraft:netherite_upgrade_smithing_template',
        'terramity:cosmilite_armor_boots',
        'terramity:exodium_superalloy'
    )

    event.remove({id:'terramity:exodium_helmet_recipe'})
    event.remove({id:'terramity:exodium_chestplate_recipe'})
    event.remove({id:'terramity:exodium_leggings_recipe'})
    event.remove({id:'terramity:exodium_boots_recipe'})


    //MEKASUIT

    event.shaped('mekanism:mekasuit_helmet', 
    [
        'ABA',
        'ACA',
        'DED',
    ],
    {
        A: 'mekanism:hdpe_sheet',
        B: 'mekanism:ultimate_control_circuit',
        C: 'terramity:exodium_warlock_helmet',
        D: 'mekanism:pellet_polonium',
        E: 'mekanism:basic_induction_cell',
    })
    
    event.shaped('mekanism:mekasuit_bodyarmor', 
    [
        'ABA',
        'ACA',
        'DED',
    ],
    {
        A: 'mekanism:hdpe_sheet',
        B: 'mekanism:ultimate_control_circuit',
        C: 'terramity:exodium_warlock_boots',
        D: 'mekanism:pellet_polonium',
        E: 'mekanism:basic_induction_cell',
    })
   
    event.shaped('mekanism:mekasuit_pants', 
    [
        'ABA',
        'ACA',
        'DED',
    ],
    {
        A: 'mekanism:hdpe_sheet',
        B: 'mekanism:ultimate_control_circuit',
        C: 'terramity:exodium_warlock_boots',
        D: 'mekanism:pellet_polonium',
        E: 'mekanism:basic_induction_cell',
    })
   
    event.shaped('mekanism:mekasuit_boots', 
    [
        'ABA',
        'ACA',
        'DED',
    ],
    {
        A: 'mekanism:hdpe_sheet',
        B: 'mekanism:ultimate_control_circuit',
        C: 'terramity:exodium_warlock_boots',
        D: 'mekanism:pellet_polonium',
        E: 'mekanism:basic_induction_cell',
    })

    event.remove({id:'mekanism:mekasuit_helmet'})
    event.remove({id:'mekanism:mekasuit_bodyarmor'})
    event.remove({id:'mekanism:mekasuit_pants'})
    event.remove({id:'mekanism:mekasuit_boots'})
})